> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Mint a short-lived proxy credential

> Returns a derived username/password for `proxy.notte.cc`, signed for this workspace and valid for your plan's maximum session duration (see `expires_at`). Traffic through it is billed to this API key's workspace at the proxy rate. Clients that support TLS to a proxy can also use the API key itself as the proxy password on port 443.



## OpenAPI

````yaml https://api.notte.cc/openapi.json post /proxies/gateway/credentials
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /proxies/gateway/credentials:
    post:
      tags:
        - proxies
      summary: Mint a short-lived proxy credential
      description: >-
        Returns a derived username/password for `proxy.notte.cc`, signed for
        this workspace and valid for your plan's maximum session duration (see
        `expires_at`). Traffic through it is billed to this API key's workspace
        at the proxy rate. Clients that support TLS to a proxy can also use the
        API key itself as the proxy password on port 443.
      operationId: mint_proxy_credentials
      parameters:
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProxyCredentialRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProxyCredentialResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples: []
components:
  schemas:
    ProxyCredentialRequest:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: ISO 3166-1 alpha-2 country code, e.g. `us`.
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: Evomi city id or display name, e.g. `new.york`. Wins over country.
      additionalProperties: false
      type: object
      title: ProxyCredentialRequest
    ProxyCredentialResponse:
      properties:
        username:
          type: string
          title: Username
        password:
          type: string
          title: Password
        expires_at:
          type: string
          format: date-time
          title: Expires At
        proxy_url_tls:
          type: string
          title: Proxy Url Tls
          description: '`https://user:pass@host:443`, for clients that do TLS to the proxy.'
        proxy_url_plain:
          type: string
          title: Proxy Url Plain
          description: '`http://user:pass@host:3128`, for clients that cannot.'
      type: object
      required:
        - username
        - password
        - expires_at
        - proxy_url_tls
        - proxy_url_plain
      title: ProxyCredentialResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````